I made a script to automate the installation of a full node


Author
Message
dodolord
d
Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)
Group: Forum Members
Posts: 24, Visits: 0
EtUnity - 31 Dec 2017
EtUnity - 31 Dec 2017
Great work! Any chance you can add Nelson to the Script?


I tried to run the command after runiing the scripts and got the below error. Did I do something wrong?  Thanks
~$ sudo iota-node -i
sudo: iota-node: command not found


After installing iota-node, you have to restart your terminal.
EtUnity
E
Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)
Group: Forum Members
Posts: 9, Visits: 7
dodolord - 1 Jan 2018
EtUnity - 31 Dec 2017
EtUnity - 31 Dec 2017
Great work! Any chance you can add Nelson to the Script?


I tried to run the command after runiing the scripts and got the below error. Did I do something wrong?  Thanks
~$ sudo iota-node -i
sudo: iota-node: command not found


After installing iota-node, you have to restart your terminal.

I did that and still the same error. Do I have to add neighbors for it to work?
Thanks

dodolord
d
Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)
Group: Forum Members
Posts: 24, Visits: 0
EtUnity - 1 Jan 2018
dodolord - 1 Jan 2018
EtUnity - 31 Dec 2017
EtUnity - 31 Dec 2017
Great work! Any chance you can add Nelson to the Script?


I tried to run the command after runiing the scripts and got the below error. Did I do something wrong?  Thanks
~$ sudo iota-node -i
sudo: iota-node: command not found


After installing iota-node, you have to restart your terminal.

I did that and still the same error. Do I have to add neighbors for it to work?
Thanks

Jep, after restarting your terminal, the first thing you have to do is to add one or multiple neighbors. Only then will the service start.
EtUnity
E
Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)
Group: Forum Members
Posts: 9, Visits: 7
dodolord - 1 Jan 2018
EtUnity - 1 Jan 2018
dodolord - 1 Jan 2018
EtUnity - 31 Dec 2017
EtUnity - 31 Dec 2017
Great work! Any chance you can add Nelson to the Script?


I tried to run the command after runiing the scripts and got the below error. Did I do something wrong?  Thanks
~$ sudo iota-node -i
sudo: iota-node: command not found


After installing iota-node, you have to restart your terminal.

I did that and still the same error. Do I have to add neighbors for it to work?
Thanks

Jep, after restarting your terminal, the first thing you have to do is to add one or multiple neighbors. Only then will the service start.

Thanks will do that

dodolord
d
Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)
Group: Forum Members
Posts: 24, Visits: 0
EtUnity - 31 Dec 2017
Great work! Any chance you can add Nelson to the Script?

Sorry for the late reply. I'm busy with my exams. When they are finished, I definitely will add Nelson to the installation.

dodolord
d
Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)
Group: Forum Members
Posts: 24, Visits: 0
EtUnity - 31 Dec 2017
Great work! Any chance you can add Nelson to the Script?

It has been added Wink check my new post
EtUnity
E
Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)Attaching to Tangle (54 reputation)
Group: Forum Members
Posts: 9, Visits: 7
Thanks Smile
cryptohosting
c
Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)
Group: Forum Members
Posts: 1, Visits: 0
Hey All

i see to be getting these errors on the Nelson install part - after some research it may be due to the NPM premission issues? i have installed NPM globally and using package manager and still nothing

ss/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space

dodolord
d
Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)Attached to Tangle (332 reputation)
Group: Forum Members
Posts: 24, Visits: 0
cryptohosting - 9 Feb 2018
Hey All

i see to be getting these errors on the Nelson install part - after some research it may be due to the NPM premission issues? i have installed NPM globally and using package manager and still nothing

ss/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space

Hmm. Where does this "node-gyp" and "gyp" come from?

tatubias
t
Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)Attached to Tangle (401 reputation)
Group: Forum Members
Posts: 6, Visits: 76
cryptohosting - 9 Feb 2018
Hey All

i see to be getting these errors on the Nelson install part - after some research it may be due to the NPM premission issues? i have installed NPM globally and using package manager and still nothing

ss/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space
gyp verb command install [ '9.4.0' ]
gyp verb install input version string "9.4.0"
gyp verb install installing version: 9.4.0
gyp verb install --ensure was passed, so won't reinstall if already installed
gyp verb install version not already installed, continuing with install 9.4.0
gyp verb ensuring nodedir is created /usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0
gyp WARN EACCES user "root" does not have permission to access the dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp/9.4.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/local/lib/node_modules/nelson.gui/node_modules/node-sass/.node-gyp"
gyp verb tmpdir == cwd automatically will remove dev files after to save disk space

you can try running 

sudo npm install --unsafe-perm --verbose -g nelson

or

sudo chown -R root:root /usr/lib/node_modules





maxxist
m
Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)Attached to Tangle (263 reputation)
Group: Forum Members
Posts: 1, Visits: 6
dodolord - 10 Dec 2017
Link to the script: https://github.com/nazarimilad/iota-node

I think I will just copy and paste the description in the README to explain what this script does exactly:

There are a lot of tutorials like this one or this one. The problem with this tutorials is that they take quite some time and they aren't easy to follow for people who are new to a Linux environement.

The purpose of this script is to automate the installation of an IOTA full node. It compiles the IRI, it generates an ini configuration file, it sets up a daemon, it can be used to add new neighbor nodes, etc.

I hope it will be helpful to people trying to set up a full node.

nice work. the script and tutorial still work great on ubuntu 18.04.   great place to start for noobs like me.

s1ckm4n
s1ckm4n
Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)Attaching to Tangle (98 reputation)
Group: Forum Members
Posts: 9, Visits: 1
Great, thanks!

fredeo
f
Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)Attaching to Tangle (1 reputation)
Group: Forum Members
Posts: 1, Visits: 0
Why does the IRI jar file have to be compiled? Shouldn't it just run? I'm having problems getting my full node to run on my Win 8 machine
Edited 4 Months Ago by fredeo
GO

Merge Selected

Merge into selected topic...



Merge into merge target...



Merge into a specific topic ID...




Reading This Topic

Login

Explore
Messages
Mentions
Search